Subject: bug#12804: 24.1; vc-git does not recognize file under version control

From: Tom <[email-masked]>
Date: Sun, 4 Nov 2012 19:44:34 +0000 (UTC)

I have a file under git and vc does not recognize it.
The path of the file has a space in it and I'm on 
Windows, that is the cause of the problem I suspect.

E.g. this is the path under git (note the space in 
"project name"):

    project name/src/file.java

I narrowed the problem to vc-git-registered which returns
nil on the file. This is the relevant check in the function
and my guess is name falls to two pieces when git is invoked
because it has a space in it and there are no quotes around
it, and therefore ls-files returns nothing, because it sees
two non existent paths (the two half pieces of the path
with space):

   (vc-git--out-ok "ls-files" "-c" "-z" "--" name)

In GNU Emacs 24.1.1 (i386-mingw-nt6.1.7601)
 of 2012-06-10 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7601
Configured using:
 `configure --with-gcc (4.6) --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: HUN
  value of $XMODIFIERS: nil
  locale-coding-system: cp1250
  default enable-multibyte-characters: t